
Katello - Bug #5011

Content View (version) deletion fails if host(group)s are assigned to relevant install media

04/01/2014 06:23 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Orchestration   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1513932 Red Hat JIRA:  

Pull request:    

Description

In katello 1.4 if you tried to delete a content view from an environment and there was a kickstart tree in that content view version, it

would blow up when trying to remove the install media from foreman if at least one host or host group was assigned.

We need to revalidate this to ensure that it is fixed.

Related issues:

Blocks Katello - Feature #4811: Allow users to delete a content view Closed 03/24/2014

History

#1 - 04/01/2014 06:35 PM - David Davis

- Blocks Feature #4811: Allow users to delete a content view added

#2 - 04/25/2014 12:02 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#3 - 06/04/2014 02:05 PM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#4 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48

#5 - 06/23/2014 07:27 PM - Mike McCune

- Assignee set to Stephen Benjamin

#6 - 07/02/2014 03:45 AM - Stephen Benjamin

- Status changed from New to Closed

Install media isn't relevant anymore since Katello uses content sources now.  Although, I did test and the CV version gets deleted fine even when a

host is assigned via content sources.

#7 - 11/27/2017 11:43 AM - Daniel Lobato Garcia

- Bugzilla link set to 1513932

#8 - 12/18/2019 09:49 AM - Shira Maximov

Changing the

#9 - 12/18/2019 11:09 AM - Shira Maximov

Changing the
#10 - 12/18/2019 11:26 AM - Shira Maximov

Changing the
